#!/bin/bash
# -*- mode: sh; fill-column: 75; tab-width: 8; coding: utf-8-unix -*-

. /usr/local/bin/usr_local_base.bash || exit 1
. /usr/local/bin/usr_local_tput.bash || exit 2

TODIR=/o/data/TestForge/src/ansible
BASE_DIR=`basename $PWD`

[ $# -ge 1 ] && ROLE=$1 || ROLE=
if [ -z "$ROLE" ] ; then
    base=`basename $PWD`
    parent=`dirname $PWD`
    file=$parent/$base.bash
    if [ -f "$file" ] ; then
	ROLE=`grep '^ *ROLE=' $file | sed -e 's/=.*//'`
    fi
fi
shift

if [ $PWD = $PREFIX/src ] ; then
    ERROR $prog diffing in $PWD with "$@"
    exit 4
fi
INFO $prog diffing in $PWD with "$@"

PREFIX=$PREFIX ROLE="$ROLE" \
      /var/local/src/var_local_src.bash ols_testforge_diffs

exit 0
