#!/bin/bash
# -*- mode: sh; tab-width: 8; coding: utf-8-unix -*-

# answer output
prog=$( basename $0 .bash )
ROLE=base

[ $# -lt 2 ] && echo "USAGE: $0 PYTHON_MINOR PPATH" >>/proc/self/fd/2 && exit 1
. /usr/local/bin/usr_local_tput.bash || exit 2
PREFIX=/usr/local
PYTHON_MINOR=$1
PPATH=$2

PYVER=$( echo $1|sed -e 's/.*python//' -e 's@/.*@@' )

[[ "$PYTHON_MINOR" =~ .*2\..* ]] && notPYVER="3." || notPYVER="2."
# echo "DEBUG: $1 $PPATH $notPYVER" >>/proc/self/fd/2

N=""
IFS=':'
warns=0
[ -z  "$UID" ] && UID=$( id -u )
for elt in $PPATH ; do
    [ -d "$elt" ] || continue

    [[ $elt =~ .*python${notPYVER}.* ]] ; a=$?
    # DBUG $1 $elt $notPYVER a=$a  >>/proc/self/fd/2
    [ $a -eq 0 ] && { WARN $prog wanted: $PYTHON_MINOR got: $elt >>/proc/self/fd/2 ; \
	warns=$( expr $warns + 1 ) ; continue ; }

    [ -z "$N" ] && N="$elt" && continue
    [[ $N =~ $elt ]] && continue
    [ -n "$N" ] && N="$N:$elt"
    # DBUG $prog adding: $elt
  done
IFS='  '

echo $N

exit $warns
