#!/bin/sh
# -*-mode: sh; tab-width: 8; coding: utf-8-unix -*-

ROLE=hostvms
export LANG=en_US.UTF-8
kernel=5.0.8-pentoo
hostname=pentoo

cd /lib/modules/$kernel
# These interfere with installing virtualbox-guest-additions requried for vboxsf
[ -f kernel/drivers/staging/vboxvideo/vboxvideo.ko.xz ] && \
    mv kernel/drivers/staging/vboxvideo/vboxvideo.ko.xz kernel/drivers/staging/vboxvideo/vboxvideo.ko.xz.dst
[ -f kernel/drivers/virt/vboxguest/vboxguest.ko.xz ] && \
    mv kernel/drivers/virt/vboxguest/vboxguest.ko.xz kernel/drivers/virt/vboxguest/vboxguest.ko.xz.dst
 depmod -a 5.0.8-pentoo

cd /etc/modprobe.d/
if  [ ! -f blacklist.conf.dst ] ;  then
     mv blacklist.conf blacklist.conf.dst
     cp blacklist.conf.dst blacklist.conf
fi
#  maybe not all are needed
for elt in drm vbox video ttm ; do
    grep "blacklist $elt" blacklist.conf || \
     echo "blacklist $elt" >> blacklist.conf
done

cd /etc/ssh/
if  [ ! -f sshd_config.dst ] ;  then
    mv sshd_config sshd_config.dst
    cp sshd_config.dst sshd_config
  fi

#FixMe: nano sshd_config
rc-update add NetworkManager
rc-update add sshd default

cd /root/
date_slash=$( date +%Y/%m/%d )
[ -d var/tmp/$hostname/$date_slash ] || mkdir -p var/tmp/$hostname/$date_slash
cd var/tmp/Pentoo/$date_slash

eix brltty | grep -q Installed && \
    emerge -C brltty>emerge-C_brltty.log 2>&1

if [ ! /etc/portage/make.conf.dst ] ; then
    mv /etc/portage/make.conf  /etc/portage/make.conf.dst
    cp  /etc/portage/make.conf.dst  /etc/portage/make.conf
  fi
# FixMe: nano  /etc/portage/make.conf

emerge -fp =app-emulation/virtualbox-guest-additions-6.0.6>virtualbox-guest-additions-6.0.6.lis 2>&1
# get the files...
emerge -vb =app-emulation/virtualbox-guest-additions-6.0.6>virtualbox-guest-additions-6.0.6.log 2>&1

rc-update add virtualbox-guest-additions
